Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 461169 - Ad-hoc network not selected in nm-applet list of networks
Summary: Ad-hoc network not selected in nm-applet list of networks
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: NetworkManager
Version: 10
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dan Williams
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F10Target F10DesktopTarget
TreeView+ depends on / blocked
 
Reported: 2008-09-04 17:30 UTC by James Laska
Modified: 2013-09-02 06:26 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-02-17 12:04:40 UTC


Attachments (Terms of Use)
Additional information (iwconfig, nm-tool, iwlist) (deleted)
2008-09-04 17:30 UTC, James Laska
no flags Details
Screenshot.png (deleted)
2008-10-17 16:48 UTC, James Laska
no flags Details

Description James Laska 2008-09-04 17:30:33 UTC
Created attachment 315784 [details]
Additional information (iwconfig, nm-tool, iwlist)

While testing NetworkManager/ConnectionSharing using NetworkManager-0.7.0-0.11.svn4022.fc9.i386, I encounter an issue where my ad-hoc network isn't shown as selected from the nm-applet drop-down list.

Steps to reproduce:
1) Click nm-applet
2) Select "Create new wireless network"
3) Enter Network name: flatline, wireless security: None

You are now connected to the wireless network 'flatline'

4) Click on nm-applet

Expected results:

I expected to see the new ad-hoc network selected in teh drop down list of networks

Actual results:

Ad-hoc network not selected

Additional information:

* selinux in permissive mode
* iptables flushed
* Smolt profile available at - http://smolts.org/show?uuid=pub_91fa58ca-c1a9-45ea-81de-d48d10665a4b

For output on the following commands, please refer to attachment:
$ iwconfig eth1
$ nm-tool
$ iwlist scan

Comment 1 Dan Williams 2008-10-17 16:05:27 UTC
Is this still an issue with latest rawhide?

Comment 2 James Laska 2008-10-17 16:48:56 UTC
Created attachment 320695 [details]
Screenshot.png

Tested with ...

NetworkManager-0.7.0-0.11.svn4175.fc10.i386
kernel-2.6.27.2-23.rc1.fc10.i686

Immediately after the connection is established, the nm-applet shows the radio button selected next to the ad-hoc network.

3 minutes later ... it doesn't show the radio button selected.

Comment 3 Bug Zapper 2008-11-26 02:57:47 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Dan Williams 2009-02-14 20:18:16 UTC
If you see this again, can you run "nm-tool" and paste in what it reports for your wifi card (including the scanned APs), obscuring MAC addresses as necessary?

Comment 5 James Laska 2009-02-16 13:27:40 UTC
I've just followed the exact steps in comment#0 for recreating this issue.  After 10 minutes, my NM applet drop down list still shows the newly created network as selected.

NetworkManager-vpnc-0.7.0-1.svn13.fc10.i386
NetworkManager-gnome-0.7.0-1.git20090102.fc10.i386
NetworkManager-0.7.0-1.git20090102.fc10.i386
NetworkManager-glib-0.7.0-1.git20090102.fc10.i386

Comment 6 Dan Williams 2009-02-17 12:04:40 UTC
Ok; thanks!


Note You need to log in before you can comment on or make changes to this bug.